Package org.optaplanner.core.impl.score.stream.bavet.tri

## Class BavetFilterTriNode<A,​B,​C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriNode<A,​B,​C>
    - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetFilterTriNode<A,​B,​C>

- All Implemented Interfaces:
    `BavetNode`

      public final class BavetFilterTriNode<A,​B,​C>
      extends BavetAbstractTriNode<A,​B,​C>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeOrder, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetFilterTriNode​(BavetConstraintSession session, int nodeOrder, BavetAbstractTriNode<A,​B,​C> parentNode, TriPredicate<A,​B,​C> predicate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChildNode​(BavetAbstractTriNode<A,​B,​C> childNode)` |
    `BavetFilterTriTuple<A,​B,​C>` | `createTuple​(BavetAbstractTriTuple<A,​B,​C> parentTuple)` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `void` | `refresh​(BavetFilterTriTuple<A,​B,​C> tuple)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetFilterTriNode

          public BavetFilterTriNode​(BavetConstraintSession session,
                                    int nodeOrder,
                                    BavetAbstractTriNode<A,​B,​C> parentNode,
                                    TriPredicate<A,​B,​C> predicate)

  - ### Method Detail

    - #### addChildNode

          public void addChildNode​(BavetAbstractTriNode<A,​B,​C> childNode)

      Overrides:
        `addChildNode` in class `BavetAbstractTriNode<A,​B,​C>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### createTuple

          public BavetFilterTriTuple<A,​B,​C> createTuple​(BavetAbstractTriTuple<A,​B,​C> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractTriNode<A,​B,​C>`

    - #### refresh

          public void refresh​(BavetFilterTriTuple<A,​B,​C> tuple)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`